datablock ParticleData(sandStormParticle)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient     = 0;
   gravityCoefficient   = 0; 
   inheritedVelFactor   = 0;
   lifetimeMS           = 10000;
   lifetimeVarianceMS   = 5000;
   useInvAlpha = true;
   spinRandomMin = -5;
   spinRandomMax = 5;

   colors[0]     = "0.55 0.5 0.35 0.1";
   colors[1]     = "0.55 0.5 0.35 0.1";
   colors[2]     = "0.55 0.5 0.35 0.1";

   sizes[0]      = 100;
   sizes[1]      = 100;
   sizes[2]      = 100;

   times[0]      = 1;
   times[1]      = 1;
   times[2]      = 1;
};

datablock ParticleEmitterData(sandStormEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;

   ejectionOffset = 0.5;
   ejectionOffsetVariance = 0.5;
	

   ejectionVelocity = 0.5;
   velocityVariance = 0.25;

   thetaMin         = 0;
   thetaMax         = 90;  

   phiReferenceVel  = 0;
   phiVariance      = 360;

   overrideAdvances = false;
   orientParticles  = false;

	usePlacementForVelocity = 1;

   particles = sandStormParticle;

    uiName = "";
};

datablock AudioProfile(strongWind)
{
   filename    = "~/Map_SaharaDesert/Sounds/strongWind.wav";
   description = AudioLooping2d;
   preload = true;
};

package soundPlayer
{
	function gameConnection::onClientEnterGame(%client)
	{
		parent::onClientEnterGame(%client);
		if($server::missionFile $= "Add-Ons/Map_SaharaDesertP1/SDSandStorm.mis")
		{
			%client.play2D(strongWind);
		}
	}
};
activatePackage(soundPlayer);